diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index b7610ef..fd5748c 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -74928,7 +74928,8 @@ Plot3D(): Exports == Implementation where
       r
 
     plot(f1:F -> F,f2:F -> F,f3:F -> F,col:F -> F,tRange:R) ==
-      p := basicPlot(point(myTrap(f1,#1),myTrap(f2,#1),myTrap(f3,#1),col(#1)),tRange)
+      p := basicPlot(
+       (z:F):P+->point(myTrap(f1,z),myTrap(f2,z),myTrap(f3,z),col(z)),tRange)
       r := p.ranges
       NUMFUNEVALS := MINPOINTS
       if adaptive3D? then
diff --git a/changelog b/changelog
index 2d2ad74..5430625 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090515 tpd src/axiom-website/patches.html 20090515.04.tpd.patch
+20090515 tpd books/bookvol10.3 PLOT3D +-> conversion
 20090515 tpd src/axiom-website/patches.html 20090515.03.tpd.patch
 20090515 tpd books/bookvol10.3 PLOT +-> conversion
 20090515 tpd src/axiom-website/patches.html 20090515.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3d9cd3c..e416bff 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1310,5 +1310,7 @@ bookvol10.3 HACKPI, PRTITION +-> conversion<br/>
 bookvol10.4 ODEEF +-> conversion<br/>
 <a href="patches/20090515.03.tpd.patch">20090515.03.tpd.patch</a>
 bookvol10.3 PLOT +-> conversion<br/>
+<a href="patches/20090515.04.tpd.patch">20090515.04.tpd.patch</a>
+bookvol10.3 PLOT3D +-> conversion<br/>
  </body>
 </html>
